import React from 'react'
import Head from 'next/head'
import Meta from '../components/meta'
import Header from '../components/header'
import Nav from '../components/nav'
import Sidebar from '../components/sidebar'
import Footer from '../components/footer'
import Poll from '../components/poll'
import Training from '../components/training'
import Exercise from '../components/exercise'
import { PeopleList } from '../components/people'
import GlobalStyle from '../styles/global'
import theme from '../styles/theme'
import data from '../initial-data.js'
console.log(data)

const Home = () => (
  <>
    <Meta />
    <Head>
      <title>Home</title>
    </Head>

    <Header />
    <Nav />
    <main>
      <h1>Welcome to u-fit</h1>
      <p>The right position to make every cell stronger over a short range!</p>
      <Training {...data.trainings[data.trainings.length - 1]} />
    </main>
    <Footer />
    {GlobalStyle}

    <style jsx>{`
    
    `}</style>
  </>
)

export default Home
