import theme from './theme'

const GlobalStyle = <style jsx global>{`
@import url('https://fonts.googleapis.com/css?family=Roboto+Mono:300|Roboto:300,900&display=swap');

html {
  box-sizing: border-box;
  font-size: 12px;
}

*, *:before, *:after {
  box-sizing: inherit;
}

body {
  padding: 0;
  margin: 0;
  font-size: 1.5rem;
  line-height: 2;
  font-family: 'roboto', sans-serif;
  font-weight: 300;
  max-width: ${theme.maxWidth};
  margin: 0 auto;
}

#__next {
  background: ${theme.colors.offWhite};
  color: ${theme.colors.black};
  box-shadow: ${theme.bs};
}

h1, h2, h3, h4, h5, h6 {
  font-weight: 900;
}

button {
  font-weight: 900;
  background: ${props => props.theme.darkblue};
  color: ${props => props.theme.lighterblue};
  border: 1px solid ${props => props.theme.darkerblue};
  padding: 0.3em 1.8em;
  cursor: pointer;
  box-shadow: ${props => props.theme.bsSmall};
}

input,
textarea {
  border: 1px solid ${props => props.theme.lightgrey};
  padding: 6px;
  margin: 0 8px;
}

pre {
  font-family: 'roboto_mono';
}
`}</style>

export default GlobalStyle